import { useSession, signIn, signOut } from 'next-auth/react'
import { useEffect } from 'react';

export default function Home() {
  const { data: session, status } = useSession();

  useEffect(() => {
    if (status === 'unauthenticated') {
      void signIn('keycloak');
    }
  }, [status]);
  return (
    <div>
      Signed in as {session?.user?.name}
      <button onClick={() => signOut()}>Sign Out</button>
    </div>
  )
}